restinio::utils::tuple_algorithms::impl Namespace Reference

## Typedefs

template<typename T >
using | index_sequence_for_tuple = std::make_index_sequence< std::tuple_size< T >::value >

## Functions

template<typename Predicate >
RESTINIO_NODISCARD bool | all_of_impl (Predicate &&)
template<typename Predicate , typename T , typename... Vs>
RESTINIO_NODISCARD bool | all_of_impl (Predicate &&p, T &&current, Vs &&... rest)
template<typename Predicate , typename Tuple , std::size_t... I>
RESTINIO_NODISCARD bool | perform_all_of (Predicate &&p, Tuple &&t, std::index_sequence< I... >)
template<typename Predicate >
RESTINIO_NODISCARD bool | any_of_impl (Predicate &&)
template<typename Predicate , typename T , typename... Vs>
RESTINIO_NODISCARD bool | any_of_impl (Predicate &&p, T &&current, Vs &&... rest)
template<typename Predicate , typename Tuple , std::size_t... I>
RESTINIO_NODISCARD bool | perform_any_of (Predicate &&p, Tuple &&t, std::index_sequence< I... >)

## Typedef Documentation

## index_sequence_for_tuple

template<typename T >

using restinio::utils::tuple_algorithms::impl::index_sequence_for_tuple = typedef std::make_index_sequence< std::tuple_size<T>::value >

Definition at line 32 of file tuple_algorithms.hpp.

## Function Documentation

## all_of_impl() [1/2]

template<typename Predicate >

RESTINIO_NODISCARD bool restinio::utils::tuple_algorithms::impl::all_of_impl | ( | Predicate && |  | ) |

Definition at line 38 of file tuple_algorithms.hpp.

## all_of_impl() [2/2]

template<typename Predicate , typename T , typename... Vs>

RESTINIO_NODISCARD bool restinio::utils::tuple_algorithms::impl::all_of_impl | ( | Predicate && | p,
|  | T && | current,
|  | Vs &&... | rest
| ) |  |

Definition at line 46 of file tuple_algorithms.hpp.

## any_of_impl() [1/2]

template<typename Predicate >

RESTINIO_NODISCARD bool restinio::utils::tuple_algorithms::impl::any_of_impl | ( | Predicate && |  | ) |

Definition at line 68 of file tuple_algorithms.hpp.

## any_of_impl() [2/2]

template<typename Predicate , typename T , typename... Vs>

RESTINIO_NODISCARD bool restinio::utils::tuple_algorithms::impl::any_of_impl | ( | Predicate && | p,
|  | T && | current,
|  | Vs &&... | rest
| ) |  |

Definition at line 76 of file tuple_algorithms.hpp.

## perform_all_of()

template<typename Predicate , typename Tuple , std::size_t... I>

RESTINIO_NODISCARD bool restinio::utils::tuple_algorithms::impl::perform_all_of | ( | Predicate && | p,
|  | Tuple && | t,
|  | std::index_sequence< I... > |
| ) |  |

Definition at line 55 of file tuple_algorithms.hpp.

## perform_any_of()

template<typename Predicate , typename Tuple , std::size_t... I>

RESTINIO_NODISCARD bool restinio::utils::tuple_algorithms::impl::perform_any_of | ( | Predicate && | p,
|  | Tuple && | t,
|  | std::index_sequence< I... > |
| ) |  |

Definition at line 85 of file tuple_algorithms.hpp.